Bug 1907883 - Fix Pipleine creation without namespace issue
Summary: Fix Pipleine creation without namespace issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Karthik Jeeyar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-15 12:52 UTC by Karthik Jeeyar
Modified: 2021-02-24 15:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7530 0 None closed Bug 1907883: Fix Pipleine creation without namespace issue 2021-01-18 10:41:58 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:56 UTC

Description Karthik Jeeyar 2020-12-15 12:52:06 UTC
Description of problem:

Pipeline builder yaml view form submission, sends a POST request to an incorrect endpoint (without namespace) 



Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1.Visit Pipeline builder page and switch to yaml view
2. remove the `namespace` from the yaml content or copy paste a yaml without namespace in it.
3. Click on create button


Actual results:
creation fails with `not found` alert.



Expected results:

It should create a valid pipeline on submission.

Comment 3 Debsmita Santra 2021-01-18 10:42:15 UTC
this is verified on 4.7.0-0.nightly-2021-01-10-070949

Comment 5 errata-xmlrpc 2021-02-24 15:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.